singleton Material(RGbody)
{
   mapTo = "RGbody";
   diffuseMap[0] = "color_d";
   diffuseMap[1] = "color_c";
   specular[1] = "0.5 0.5 0.5 0.5";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
};

singleton Material(RGcolorable)
{
   mapTo = "RGcolorable";
   diffuseMap[0] = "color_d";
   specularMap[0] = "color_d";
   diffuseMap[1] = "colorframe_c";
   specularMap[1] = "colorframe_c";
   colorPaletteMap[0] = "frame_colormask";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0 0 0 0.9";
   specularPower[0] = "15";
   specularPower[1] = "15";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   doublesided = "1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(RGinterior)
{
   mapTo = "RGinterior";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.0 0.0 0.0 0.4";
   diffuseColor[1] = "0.2 0.2 0.2 1";
   specular[0] = "0.1 0.1 0.1 0.1";
   specularPower[0] = "35";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(misc)
{
   mapTo = "misc";
   diffuseMap[0] = "misc";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "misc";
   specularMap[1] = "vehicles/common/null.dds";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(wheel)
{
   mapTo = "wheel";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   diffuseColor[1] = "0.0 0.0 0.0 0.9";
   
   specular[0] = "0.2 0.2 0.2 1";
   specularPower[0] = "10";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
   doublesided = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(RGtire)
{
   mapTo = "RGtire";
   diffuseColor[0] = "0.1 0.1 0.1 0.99";
   specularPower[0] = "5";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";

};



singleton Material(suspension_arm)
{
   mapTo = "suspension_arm";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   diffuseColor[1] = "0.2 0.2 0.2 0.9";
   specular[0] = "0.7 0.7 0.7 0.7";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(black)
{
   mapTo = "black";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.0 0.0 0.0 0.9";
   specular[0] = "0.7 0.7 0.7 0.7";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};
singleton Material(metal)
{
   mapTo = "metal";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.5 0.5 0.5 0.9";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "1 1 1 1";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};
singleton Material(coilover3)
{
   mapTo = "coilover3";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.5 0 0 0.9";
   specular[0] = "1 1 1 1";
   specularPower[0] = "95";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(brakepad)
{
   mapTo = "brakepad";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   diffuseColor[1] = "0.6 0 0 0.9";
   specular[0] = "1 1 1 1";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(brakedisk)
{
   mapTo = "brakedisk";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "0.5 0.5 0.5 0.9";
   specular[1] = "0.8 0.8 0.8 0.8";
   specularPower[1] = "5";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(logo1)
{
   mapTo = "logo1";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   diffuseColor[1] = "1.0 0.0 0.0 0.9";
   specular[0] = "1 1 1 1";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(logo2)
{
   mapTo = "logo2";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   diffuseColor[1] = "1.2 1.2 1.2 0.9";
   specular[0] = "1 1 1 1";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(steering2)
{
   mapTo = "steering2";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 1";
   diffuseColor[1] = "0.5 0.5 0.5 0.9";
   specular[0] = "1 1 1 1";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(pedal)
{
   mapTo = "pedal";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0 0 0 0";
   diffuseColor[1] = "0.1 0.1 0.1 1.5";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(engine1)
{
   mapTo = "engine1";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.2 0.2 0.2 1";
   diffuseColor[1] = "0.6 0.6 0.6 0.9";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(engine2)
{
   mapTo = "engine2";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 0.1";
   diffuseColor[1] = "0.4 0.4 0.4 0.9";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "0";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(engine3)
{
   mapTo = "engine3";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 0.0";
   diffuseColor[1] = "0 0 0 0.9";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
  dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(cloth)
{
   mapTo = "cloth";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.0 0 0.0 0.0";
   diffuseColor[1] = "0.05 0.05 0.05 1.2";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(driveshaft)
{
   mapTo = "driveshaft";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 0.1";
   diffuseColor[1] = "0.15 0.15 0.15 0.9";
   specular[0] = "0.7 0.7 0.7 0.7";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(light1)
{
   mapTo = "light1";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.1 0.1 0.1 0.1";
   diffuseColor[1] = "0.15 0.15 0.15 1";
   specular[0] = "0.7 0.7 0.7 0.7";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
 dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(light2)
{
   mapTo = "light2";
   diffuseColor[0] = ".5 .5 .5 .5";
   specular[0] = "0.7 0.7 0.7 0.7";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doublesided = "1";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(light3)
{
   mapTo = "light3";
   diffuseMap[0] = "light_d";
   diffuseColor[0] = "0.8 0.8 0.8 0.8";
   specular[0] = "0.7 0.7 0.7 0.7";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "1";
   doublesided = "1";
   alphaTest = "1";
   alphaRef = "0";
};

singleton Material(light3_on)
{
   mapTo = "light3_on";
   diffuseMap[0] = "light_d";
   diffuseMap[1] = "light_g";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.8 1.8 1.8 1.8";
   specular[0] = "0.7 0.7 0.7 0.7";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "1";
   glow[1] = "1";
   emissive[1] = "1";
   alphaTest = "1";
   alphaRef = "0";
};

singleton Material(light3_intense)
{
   mapTo = "light3_intense";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "2 2 2 2";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "1";
   glow[0] = "1";
   emissive[0] = "1";
   alphaTest = "1";
   alphaRef = "0";
};
